GET
/v1/organizations/:organizationId/segments/:segmentId
Copy to clipboard
Get segment by ID
Required Permission: base.organization.segment.get
Get segment by ID
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
segmentId
integer
required
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
number
required
name
string
required
icon
string
optional
color
any
optional
children
array [object]
required
{
"status": true,
"data": {
"id": 0,
"name": "string",
"icon": "string",
"color": "string",
"children": [
{}
]
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}